Please use the Apache issue tracking system for new NetBeans issues (https://issues.apache.org/jira/projects/NETBEANS0/issues) !!
Bug 32567 - [TTV] TreeTable generates useless events
[TTV] TreeTable generates useless events
Status: VERIFIED FIXED
Product: platform
Classification: Unclassified
Component: Outline&TreeTable
3.x
All All
: P4 (vote)
: 4.x
Assigned To: _ tboudreau
issues@platform
:
Depends on:
Blocks: 32462 33281
  Show dependency treegraph
 
Reported: 2003-04-02 13:33 UTC by Jiri Rechtacek
Modified: 2008-12-22 15:58 UTC (History)
1 user (show)

See Also:
Issue Type: DEFECT
:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Jiri Rechtacek 2003-04-02 13:33:23 UTC
TreeTable.updateSelectedPathsFromSelectedRows()
calls useless clearSelection on every selected
path update. So, If I change a selected node then
I receive one event with empty nodes, one event
with new selected node.
Comment 1 Jiri Rechtacek 2003-04-28 08:51:41 UTC
fixed, TreeTable rev.1.27
In place of clear whole selection are removed only affected paths.
(superior task remains opened, there is more problems with generated
events)
Comment 2 Jiri Rechtacek 2003-04-28 09:13:13 UTC
Rhis task remains opened, there is more problems with generated
events.
Comment 3 David Konecny 2003-06-03 09:39:17 UTC
Jirka, this fix caused serious regression in Options dialog for
example. Select a node in Options dialog and then use keyboard arrows
to navigate (especially right arrow for expanding the subnode). The
selection is completely screwed up - multiple nodes is randomly
selected. On Modules subnodes you can see that property sheet is is
showing merged sheet of multiple module nodes, but in the tree only
one is selected etc.

If I revert TreeTable to 1.26 then everything is fine again. Let me
know if you want me to revert it.
Comment 4 _ tboudreau 2003-12-01 12:21:37 UTC
Not sure why this is filed as a task, it's a defect.
Comment 5 _ tboudreau 2004-07-30 01:20:49 UTC
Just fixed this, hopefully without causing a serious regression  this time :-)  (would have 
been nice to see what was done before).
Comment 6 Marian Mirilovic 2005-07-15 07:49:27 UTC
closed


By use of this website, you agree to the NetBeans Policies and Terms of Use. © 2014, Oracle Corporation and/or its affiliates. Sponsored by Oracle logo